Bug 45745 - pump causes alteon acenic card to hang
pump causes alteon acenic card to hang
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.0
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-25 03:45 EDT by Need Real Name
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-06 10:00:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-06-25 03:45:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Description of problem:
I have used the acenic driver together with two alteon gigabit ethernet cards,
which one of them was configured by pump. after a short while of working properly, the card which 
was configured by pump got stuck, sending ARP requests, but not responding to the answers (although 
they were transmitted across the wires).




How reproducible:
Always

Steps to Reproduce:
1. configure a dhcp with pump as the client for an alteon card with acenic
2. mount a remote directory with NFS, and copy lots of files into it
3. now, delete all the files from the directory with rm -rf


	

Actual Results:  the card always got stuck

Expected Results:  normal work, no card hang

Additional info:

I have investigated a little and compared the way pump configures the device to the way ifconfig 
does (if I configure the device with ifconfig, this doesn't happen), and i have found that the 
cause for this is the way pump disable the device.
when setting up the device, pump first disables the device by removing "IFF_UP" and "IFF_RUNNING" 
flags from the device.
ifconfig only disableds the "IFF_RUNNING" flag before disabling the device.

I have recompiled pump and removed the IFF_UP disable from the pumpDisableInterface function in 
dhcp.c, and it seems that it fixed the problem.
I am not sure if this is a problem with the way pump disable the device, or a bug in the acenic 
driver, but this is what causes it.

for additional information you can contact me-
Ori Hanegby
ori@exaent.com

thanks in advance- Ori
Comment 1 Elliot Lee 2001-09-20 19:53:32 EDT
If pump works on other network cards with these settings, it really should work
on the alteon. Going to ask if this is actually a kernel driver problem...?
Comment 2 Arjan van de Ven 2001-09-21 04:10:40 EDT
pump disables the device over-agressive indeed; this causes problems with 
other networkcards as well. You could try using dhcpcd instead (should be on the
cd as well)

Note You need to log in before you can comment on or make changes to this bug.